Community
Inventor Programming - iLogic, Macros, AddIns & Apprentice
Inventor iLogic, Macros, AddIns & Apprentice Forum. Share your knowledge, ask questions, and explore popular Inventor topics related to programming, creating add-ins, macros, working with the API or creating iLogic tools.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Convert Sheetmetal to part

2 REPLIES 2
Reply
Message 1 of 3
Anonymous
315 Views, 2 Replies

Convert Sheetmetal to part

Anonymous
Not applicable
Hi
i have a potentially large problem to solve. All of our parts are modelled as sheetmtal subtype and now due to a change we need to convert the parts that aren't sheetmetal to standard parts.

So far i have

Dim oMsgSM
oMsgSM = MsgBox("Please confirm " & oCompOccName & " is a sheetmetal part.", vbYesNo)
If oMsgSM = vbNo Then
Dim oNonSMDoc As PartDocument
Set oNonSMDoc = ThisApplication.ActiveDocument
oNonSMDoc.DocumentSubType = "{4D29B490-49B2-11d0-93C3-7E0706000000}"
Else
End If

But it doesn't seem to convert them to a standard part.

I thin kthe error is in the subtype.

Can someone please confirm that

1. The code is correct
2. I have the right docsubtype for a standard part.

Thanks in advance

Daren
0 Likes

Convert Sheetmetal to part

Hi
i have a potentially large problem to solve. All of our parts are modelled as sheetmtal subtype and now due to a change we need to convert the parts that aren't sheetmetal to standard parts.

So far i have

Dim oMsgSM
oMsgSM = MsgBox("Please confirm " & oCompOccName & " is a sheetmetal part.", vbYesNo)
If oMsgSM = vbNo Then
Dim oNonSMDoc As PartDocument
Set oNonSMDoc = ThisApplication.ActiveDocument
oNonSMDoc.DocumentSubType = "{4D29B490-49B2-11d0-93C3-7E0706000000}"
Else
End If

But it doesn't seem to convert them to a standard part.

I thin kthe error is in the subtype.

Can someone please confirm that

1. The code is correct
2. I have the right docsubtype for a standard part.

Thanks in advance

Daren
2 REPLIES 2
Message 2 of 3
Anonymous
in reply to: Anonymous

Anonymous
Not applicable
Use the SubType property (not DocumentSubType)...

oNonSMDoc.SubType = "{4D29B490-49B2-11d0-93C3-7E0706000000}"
0 Likes

Use the SubType property (not DocumentSubType)...

oNonSMDoc.SubType = "{4D29B490-49B2-11d0-93C3-7E0706000000}"
Message 3 of 3
Anonymous
in reply to: Anonymous

Anonymous
Not applicable
Sanjay

That was the problem

Just converted 160 files without an issue.

Only 34 - 35 thousand to go 🙂

Daren
0 Likes

Sanjay

That was the problem

Just converted 160 files without an issue.

Only 34 - 35 thousand to go 🙂

Daren

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report